image: docker:dind

services:
  - name: docker:dind
    entrypoint: ["env", "-u", "DOCKER_HOST"]
    command: ["dockerd-entrypoint.sh"]

stages:
  - test

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2
  APP_NAME: hangman
  APP_HOME: /usr/local/$APP_NAME
  TESTS_HOME: $APP_HOME/tests

test:
  stage: test
  before_script:
    - docker info
    - apk update
    - apk add docker-compose
    - docker-compose --version
  script:
    - docker-compose -f docker-compose.tests.yaml up --build --exit-code-from=test
